Gets specific Shipping Port by unique id
Gets specific Shipping Port by unique id
Path Parameters
Shipping Port id
Example:10
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Shipping Port
SupplierShippingPort
Supplier shipping port id
Supplier shipping port name
>= 0 characters<= 100 characters
Path Parameters
Headers
Deletes Shipping Port by id
Deletes Shipping Port by id
Path Parameters
Shipping Port id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
Response
Shipping Port deleted
Path Parameters
Headers
Updates Shipping Port by id
Sample request:
PUT /shippingport
{
"name": "Mexico"
}
Path Parameters
Shipping Port id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Shipping Port model
EmptyExample
Response
application/json
Response
Returns updated Shipping Port
SupplierShippingPort
Supplier shipping port id
Supplier shipping port name
>= 0 characters<= 100 characters
Path Parameters
Headers
Body
shippingstatus
Searches Shipping Statuses by parameters
Searches Shipping Statuses by parameters
Query Parameters
Name
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Shipping Statuses data
ShippingStatus.PagingResponse
Shipping Status model